/*
 * Ejercicio10.java
 *
 * Creado el 13 de diciembre de 2005, 10:46
 */


package computacion.practica3;
import auxiliar.*;

public class Ejercicio10 {
    
    public static void main(String[] args) {
        FuncionEj10 f = new FuncionEj10();          
        double cero1;
        double cero2;
        
        /**
         * La representacin grfica de las funciones sen x y x^2 - 6x + 27/4
         * evidencia que existen exactamente dos races reales (los puntos de
         * interseccin de las grficas mencionadas) una en el 
         * intervalo [0, 3/2] y otra en el intervalo [3, 9/2].
         */
        try {
            System.out.println("Mtodo de la biseccin para f en [0, 3/2]:");
            cero1 = MetodosIterativos.biseccion(f, 0, 3./ 2, 1E-12, 100);
            System.out.println();
            System.out.println("Mtodo de la biseccin para f en [3, 9/2]:");
            cero2 = MetodosIterativos.biseccion(f, 3, 9./ 2, 1E-12, 100);
            System.out.println("");
            
            System.out.println("Nos aseguramos que las aproximaciones obtenidas"
                    + " tienen un error inferior a 1E-10:");
            System.out.println("f(cero1 - 1E-10) = " + f.eval(cero1 - 1E-10));
            System.out.println("f(cero1 + 1E-10) = " + f.eval(cero1 + 15E-10));
            System.out.println("f(cero2 - 1E-10) = " + f.eval(cero2 - 1E-10));
            System.out.println("f(cero2 + 1E-10) = " + f.eval(cero2 + 1E-10));
        } catch(MetodosIterativos.ErrorMetodosIterativos noconverge) {
        }
    }
        
}
