/*
 * Ejercicio3.java
 *
 * Creado el 26 de diciembre de 2005, 23:06
 */


package computacion.practica3;
import auxiliar.*;

/**
 * La ecuacin del ejercicio 3 es de la forma f(r) = 0 para una funcin
 * polinomial f(r) = ar^2 + br - v y ciertos nmeros positivos a, b, v. En tales
 * circunstancias, la ecuacin f(r) = 0 tiene una nica raz positiva
 *      r = (-b + (b^2 + 4av)^{1/2})/(2a)
 * que es la que buscamos.
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio3 {
    
    public static void main(String[] args) {
        FuncionEj3 f = new FuncionEj3(.9052, .0012, 980, 1.832E-4, 72, .0012);
        double r = (- f.b + Math.pow(f.b * f.b + 4 * f.a * f.v, 0.5))
                / (2 * f.a);
        double cero;
        
        try {
            System.out.println();
            System.out.println("Solucin buscada: " + r);     
            System.out.println();
            System.out.println("Mtodo de Newton para f empezando en 1: ");
            cero = MetodosIterativos.newton(f, 1, 1E-11, 100);
        } catch (MetodosIterativos.ErrorMetodosIterativos noconverge) {
        }
    }
    
}
